Skip to content

Projects endpoints

List Projects

Parameter In Type Required Notes
org_id path string (uuid) yes
Status Description Body
200 Successful Response application/json: array of ProjectOut
422 Validation Error application/json: HTTPValidationError

Create Project

Parameter In Type Required Notes
org_id path string (uuid) yes

Request body (application/json, required): ProjectCreateIn

Status Description Body
201 Successful Response application/json: ProjectOut
422 Validation Error application/json: HTTPValidationError

Delete Project

Delete the project with its traces, spans and API keys.

Admins and owners may, by typing the project’s slug as confirm. The org’s audit log keeps a project.delete event with the name and slug, written in the same transaction.

Parameter In Type Required Notes
project_id path string (uuid) yes

Request body (application/json, required): ProjectDeleteIn

Status Description Body
204 Successful Response none
422 Validation Error application/json: HTTPValidationError

Get Project

Parameter In Type Required Notes
project_id path string (uuid) yes
Status Description Body
200 Successful Response application/json: ProjectOut
422 Validation Error application/json: HTTPValidationError

Update Project

Parameter In Type Required Notes
project_id path string (uuid) yes

Request body (application/json, required): ProjectUpdateIn

Status Description Body
200 Successful Response application/json: ProjectOut
422 Validation Error application/json: HTTPValidationError

GET /api/v1/projects/{project_id}/onboarding

Section titled “GET /api/v1/projects/{project_id}/onboarding”

Onboarding Status

Parameter In Type Required Notes
project_id path string (uuid) yes
Status Description Body
200 Successful Response application/json: OnboardingOut
422 Validation Error application/json: HTTPValidationError